{: test a compilation error occurs for invalid declaration keyword }

{$d+}
program e051( output );

type
   myType =  10..100;

do {e051}                   {!!! invalid keyword}
   writeln( 'fails:  bad keyword symbol undetected');
end. {e051}

